Subject: Re: bug#10773: set-variable can't change values of user options

From: Stefan Monnier <[email-masked]>
Date: Sat, 19 Sep 2020 12:04:59 -0400

>> Shouldn't we be using `defcustom` instead of hard-coding Custom's
>> "internal" properties?
> Yes.  But I was worried that defcustom would be too heavy-handed here.

I think if you're worried about the "cost" of `defcustom`, then we may
as well stick to `defvar` (after all, it's not like it'll be very
easy/convenient for the user to use the Custom UI to add a function on
those hooks).

        Stefan